# File defaults by type
The File Defaults by Type module enhances file field management by allowing administrators to define multiple file types with default files.

- __Default File__: Assign a default file for each file type, which can be added during content creation.
  - Allowed extensions for default files are restricted to the file field settings.
- __Default File Choice__: Widget to allow users to attach files configured in types, restricting the upload of files.
- __UI Module__: _file_defaults_by_type_ui_ enhances the configuration experience through a page where users can set or replace files for the defined types under the path: _/admin/config/media/file_defaults_by_type_.
  - This page is restricted to users with the permission: _administer default fields files_

## Requirements

This module requires the following modules:

- [Multivalue form element](https://www.drupal.org/project/multivalue_form_element)

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1. Enable the module at Administration > Extend.
2. Add default file types on fields (file type only) settings page.
3. Go to entity edit form and change the field to use _Default file choice_ widget.
