<?php

declare(strict_types=1);

namespace Drupal\Tests\file_defaults_by_type_ui\Kernel;

use Drupal\KernelTests\KernelTestBase as coreKernelTestBase;
use Drupal\Tests\file_defaults_by_type\Traits\DefaultFilesFieldTrait;
use Drupal\Tests\file_defaults_by_type\Traits\TestsFilesTrait;
use Drupal\Tests\user\Traits\UserCreationTrait;

/**
 * Test base class for Kernel tests.
 */
abstract class KernelTestBase extends coreKernelTestBase {

  use UserCreationTrait;
  use DefaultFilesFieldTrait;
  use TestsFilesTrait;
  use UserCreationTrait;

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'file',
    'file_defaults_by_type',
    'file_defaults_by_type_ui',
    'entity_test',
    'user',
    'system',
    'field',
    'node',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->installEntitySchema('entity_test_with_bundle');
    $this->installEntitySchema('file');
    $this->installEntitySchema('user');
    $this->installEntitySchema('node');
    $this->installSchema('file', ['file_usage']);
    $this->installConfig(['file', 'file_defaults_by_type', 'user']);

    $this->generateTestFiles();
  }

}
